commit: 4f2d1fa464be3df654d0ed470098c61edd2ab19a
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 14 23:13:59 2021 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Oct 14 23:21:27 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f2d1fa4
sys-process/htop: Bump to version 3.1.1
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
sys-process/htop/Manifest | 1 +
sys-process/htop/htop-3.1.1.ebuild | 99 ++++++++++++++++++++++++++++++++++++++
2 files changed, 100 insertions(+)
diff --git a/sys-process/htop/Manifest b/sys-process/htop/Manifest
index 98489952d89..bb327552d13 100644
--- a/sys-process/htop/Manifest
+++ b/sys-process/htop/Manifest
@@ -1,2 +1,3 @@
DIST htop-3.0.5.tar.gz 297931 BLAKE2B
a6e62f99ef349809d11bb14b4d515036601aa457507b34a96354607f136cc4e0d3d40a715f1576c70833db051d989fa55142b4f8bba0f5f432ea3676364d9575
SHA512
7dae83ceff6b3f30e69c30c9559dbb3bf69281df006c6a26e4e2c49dd5a147e05ed7bafeeac8ec5bedc8ba670470100cc128209a92654858f98df09a9394594f
DIST htop-3.1.0.tar.gz 378838 BLAKE2B
c5b09f714c27879c0f3fe0d7233d1eacb979ceb76007ee0c2720bce5d08f84d0e6b9e3747c57fca11f2354909285365749d57d597911641fdb6dd834bec23166
SHA512
bb4422591a61978d1cc5b423413820c14cc571c4660087387949f1071609da38e42be2be8485863cb19b0b957d1fdeb5b2df46212d9ddd3891871b1c9d276c6e
+DIST htop-3.1.1.tar.gz 381277 BLAKE2B
4383991e8821e4c27a4f5cb002b198fa7915465c03d9fb83324fa2df732d8553be4061c2c559b92de934b0c214bb4445b068795050e1bee2afb803d7f32b9a67
SHA512
5e4ec9b5fdf4583c8a345dcc2fe9395737e3a6e8dd8e6547800b959be084b9d57ae30bf891f79a25f6bf99ec0b6eb7eaba8bc851072c5a550de70df4178dc07d
diff --git a/sys-process/htop/htop-3.1.1.ebuild
b/sys-process/htop/htop-3.1.1.ebuild
new file mode 100644
index 00000000000..ad00e02ff84
--- /dev/null
+++ b/sys-process/htop/htop-3.1.1.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit autotools linux-info python-any-r1 xdg-utils
+
+DESCRIPTION="interactive process viewer"
+HOMEPAGE="https://htop.dev/ https://github.com/htop-dev/htop"
+SRC_URI="https://github.com/htop-dev/${PN}/archive/${PV/_}.tar.gz ->
${P}.tar.gz"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390
~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+LICENSE="BSD GPL-2+"
+SLOT="0"
+IUSE="caps debug delayacct hwloc kernel_FreeBSD kernel_linux lm-sensors openvz
unicode vserver"
+
+BDEPEND="virtual/pkgconfig"
+RDEPEND="
+ sys-libs/ncurses:=[unicode(+)?]
+ hwloc? ( sys-apps/hwloc )
+ kernel_linux? (
+ caps? ( sys-libs/libcap )
+ delayacct? ( dev-libs/libnl:3 )
+ lm-sensors? ( sys-apps/lm-sensors )
+ )
+"
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}"
+
+DOCS=( ChangeLog README )
+
+CONFIG_CHECK="~TASKSTATS ~TASK_XACCT ~TASK_IO_ACCOUNTING ~CGROUPS"
+
+S="${WORKDIR}/${P/_}"
+
+pkg_setup() {
+ if ! has_version sys-process/lsof; then
+ ewarn "To use lsof features in htop (what processes are
accessing"
+ ewarn "what files), you must have sys-process/lsof installed."
+ fi
+
+ python-any-r1_pkg_setup
+ linux-info_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ eautoreconf
+}
+
+src_configure() {
+ [[ ${CBUILD} != ${CHOST} ]] && export
ac_cv_file__proc_{meminfo,stat}=yes #328971
+
+ local myeconfargs=(
+ --enable-unicode
+ $(use_enable debug)
+ $(use_enable hwloc)
+ $(use_enable !hwloc affinity)
+ $(use_enable openvz)
+ $(use_enable unicode)
+ $(use_enable vserver)
+ )
+
+ if use kernel_linux ; then
+ myeconfargs+=(
+ $(use_enable caps capabilities)
+ $(use_enable delayacct)
+ $(use_enable lm-sensors sensors)
+ )
+ else
+ if use kernel_Darwin ; then
+ # Upstream default to checking but --enable-affinity
+ # overrides this. Simplest to just disable on Darwin
+ # given it works on BSD anyway.
+ myeconfargs+=( --disable-affinity )
+ fi
+
+ myeconfargs+=(
+ --disable-capabilities
+ --disable-delayacct
+ --disable-sensors
+ )
+ fi
+
+ econf ${myeconfargs[@]}
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}